/// <reference types="@types/googlemaps" />
export interface DirectionsProps {
    renderOnMap?: boolean;
    renderOptions?: google.maps.DirectionsRendererOptions;
}
interface DirectionsHookReturns {
    directionsService: google.maps.DirectionsService | null;
    findRoute: ((request: google.maps.DirectionsRequest) => Promise<google.maps.DirectionsResult>) | null;
    findAndRenderRoute: ((request: google.maps.DirectionsRequest) => Promise<google.maps.DirectionsResult>) | null;
    renderRouteOfIndex: (index: number) => void;
}
/**
 * Hook to get Google Maps Places Directions Service instance
 */
export declare const useDirections: (props?: DirectionsProps) => DirectionsHookReturns;
export {};
